MyGUI 3.2.2

Data Structures | Namespaces | Typedefs
MyGUI_ItemBox.h File Reference
`#include "MyGUI_Prerequest.h"`
`#include "MyGUI_DDContainer.h"`
`#include "MyGUI_IBItemInfo.h"`
`#include "MyGUI_Any.h"`
`#include "MyGUI_EventPair.h"`
`#include "MyGUI_ScrollViewBase.h"`

Go to the source code of this file.

## Data Structures
class | MyGUI::ItemBox
| ItemBox properties. ItemBox_skin_childs Skin childs. ItemBox widget description should be here. More...
struct | MyGUI::ItemBox::ItemDataInfo

## Namespaces
| MyGUI

## Typedefs
typedef delegates::CDelegate2< ItemBox *, Widget * > | MyGUI::EventHandle_ItemBoxPtrWidgetPtr
typedef delegates::CDelegate3< ItemBox *, IntCoord &, bool > | MyGUI::EventHandle_ItemBoxPtrIntCoordRefBool
typedef delegates::CDelegate3< ItemBox *, Widget *, const IBDrawItemInfo & > | MyGUI::EventHandle_ItemBoxPtrWidgetPtrCIBCellDrawInfoRef
typedef delegates::CMultiDelegate2< ItemBox *, size_t > | MyGUI::EventHandle_ItemBoxPtrSizeT
typedef delegates::CMultiDelegate2< ItemBox *, const IBNotifyItemData & > | MyGUI::EventHandle_ItemBoxPtrCIBNotifyCellDataRef